# disable building of debug packages for static binaries
%global debug_package %{nil}

Summary: Modern and colorful command line resource monitor
Name: btop
Version: 1.4.1
Release: 1%{?dist}
License: Apache-2.0
Group: Applications/System
URL: https://github.com/aristocratos/btop
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: %{url}/releases/download/v%{version}/btop-i486-linux-musl.tbz
Source1: %{url}/releases/download/v%{version}/btop-x86_64-linux-musl.tbz
Source2: %{url}/releases/download/v%{version}/btop-aarch64-linux-musl.tbz
Requires: hicolor-icon-theme
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Resource monitor that shows usage and stats for processor, memory, disks,
network and processes.

C++ version and continuation of bashtop and bpytop.

%prep
%ifarch %{ix86}
%setup -q -n %{name} -T -b 0
%endif
%ifarch x86_64
%setup -q -n %{name} -T -b 1
%endif
%ifarch aarch64
%setup -q -n %{name} -T -b 2
%endif

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} PREFIX=%{_prefix} INSTALL="install -p"

# remove installed but not needed files
%{__rm} -vf %{buildroot}%{_datadir}/%{name}/README.md

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.md LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Mon Apr 28 2025 Simon Matter <simon.matter@invoca.ch> 1.4.1-1
- upgrade to 1.4.1

* Mon Sep 23 2024 Simon Matter <simon.matter@invoca.ch> 1.4.0-1
- upgrade to 1.4.0

* Mon Jul 29 2024 Simon Matter <simon.matter@invoca.ch> 1.3.2-1
- initial package
